CREATE TABLE CRST_AP_SYSTEM_PARAM
(
  LAST_UPDATE_DATE                DATE,
  LAST_UPDATED_BY                 NUMBER(15),
  SET_OF_BOOKS_ID                 NUMBER(15),
  BASE_CURRENCY_CODE              VARCHAR2(15 BYTE),
  RECALC_PAY_SCHEDULE_FLAG        VARCHAR2(1 BYTE),
  AUTO_CALCULATE_INTEREST_FLAG    VARCHAR2(1 BYTE),
  INVOICE_CURRENCY_CODE           VARCHAR2(15 BYTE),
  PAYMENT_CURRENCY_CODE           VARCHAR2(15 BYTE),
  INVOICE_NET_GROSS_FLAG          VARCHAR2(1 BYTE),
  BANK_ACCOUNT_ID                 NUMBER(15),
  CHECK_OVERFLOW_LOOKUP_CODE      VARCHAR2(25 BYTE),
  BATCH_CONTROL_FLAG              VARCHAR2(1 BYTE),
  TERMS_ID                        NUMBER(15),
  ALWAYS_TAKE_DISC_FLAG           VARCHAR2(1 BYTE),
  PAY_DATE_BASIS_LOOKUP_CODE      VARCHAR2(25 BYTE),
  ACCTS_PAY_CODE_COMBINATION_ID   NUMBER(15),
  SALES_TAX_CODE_COMBINATION_ID   NUMBER(15),
  DISC_LOST_CODE_COMBINATION_ID   NUMBER(15),
  DISC_TAKEN_CODE_COMBINATION_ID  NUMBER(15),
  HOLD_GAIN_CODE_COMBINATION_ID   NUMBER(15),
  TRANS_GAIN_CODE_COMBINATION_ID  NUMBER(15),
  APPLY_ADVANCES_DEFAULT          VARCHAR2(4 BYTE),
  ADD_DAYS_SETTLEMENT_DATE        NUMBER(15),
  COST_OF_MONEY                   NUMBER,
  DAYS_BETWEEN_CHECK_CYCLES       NUMBER(15),
  FEDERAL_IDENTIFICATION_NUM      VARCHAR2(20 BYTE),
  LOCATION_ID                     NUMBER(15),
  CREATE_EMPLOYEE_VENDOR_FLAG     VARCHAR2(1 BYTE),
  EMPLOYEE_TERMS_ID               NUMBER(15),
  EMPLOYEE_PAY_GROUP_LOOKUP_CODE  VARCHAR2(25 BYTE),
  EMPLOYEE_PAYMENT_PRIORITY       NUMBER(2),
  PREPAY_CODE_COMBINATION_ID      NUMBER(15),
  CONFIRM_DATE_AS_INV_NUM_FLAG    VARCHAR2(1 BYTE),
  UPDATE_PAY_SITE_FLAG            VARCHAR2(1 BYTE),
  DEFAULT_EXCHANGE_RATE_TYPE      VARCHAR2(30 BYTE),
  GAIN_CODE_COMBINATION_ID        NUMBER(15),
  LOSS_CODE_COMBINATION_ID        NUMBER(15),
  MAKE_RATE_MANDATORY_FLAG        VARCHAR2(1 BYTE),
  MULTI_CURRENCY_FLAG             VARCHAR2(1 BYTE),
  GL_DATE_FROM_RECEIPT_FLAG       VARCHAR2(25 BYTE),
  DISC_IS_INV_LESS_TAX_FLAG       VARCHAR2(1 BYTE),
  MATCH_ON_TAX_FLAG               VARCHAR2(1 BYTE),
  ACCOUNTING_METHOD_OPTION        VARCHAR2(25 BYTE),
  EXPENSE_POST_OPTION             VARCHAR2(25 BYTE),
  DISCOUNT_TAKEN_POST_OPTION      VARCHAR2(25 BYTE),
  GAIN_LOSS_POST_OPTION           VARCHAR2(25 BYTE),
  CASH_POST_OPTION                VARCHAR2(25 BYTE),
  FUTURE_PAY_POST_OPTION          VARCHAR2(25 BYTE),
  DATE_FORMAT_LOOKUP_CODE         VARCHAR2(25 BYTE),
  REPLACE_CHECK_FLAG              VARCHAR2(1 BYTE),
  ONLINE_PRINT_FLAG               VARCHAR2(1 BYTE),
  EFT_USER_NUMBER                 VARCHAR2(30 BYTE),
  MAX_OUTLAY                      NUMBER,
  VENDOR_PAY_GROUP_LOOKUP_CODE    VARCHAR2(25 BYTE),
  REQUIRE_TAX_ENTRY_FLAG          VARCHAR2(1 BYTE),
  APPROVALS_OPTION                VARCHAR2(25 BYTE),
  POST_DATED_PAYMENTS_FLAG        VARCHAR2(1 BYTE),
  SECONDARY_ACCOUNTING_METHOD     VARCHAR2(25 BYTE),
  SECONDARY_SET_OF_BOOKS_ID       NUMBER(15),
  TAKE_VAT_BEFORE_DISCOUNT_FLAG   VARCHAR2(1 BYTE),
  INTEREST_TOLERANCE_AMOUNT       NUMBER,
  INTEREST_CODE_COMBINATION_ID    NUMBER(15),
  TERMS_DATE_BASIS                VARCHAR2(25 BYTE),
  ALLOW_FUTURE_PAY_FLAG           VARCHAR2(1 BYTE),
  AUTO_TAX_CALC_FLAG              VARCHAR2(1 BYTE),
  AUTOMATIC_OFFSETS_FLAG          VARCHAR2(1 BYTE),
  LIABILITY_POST_LOOKUP_CODE      VARCHAR2(25 BYTE),
  INTEREST_ACCTS_PAY_CCID         NUMBER(15),
  LIABILITY_POST_OPTION           VARCHAR2(25 BYTE),
  DISCOUNT_DISTRIBUTION_METHOD    VARCHAR2(25 BYTE),
  RATE_VAR_CODE_COMBINATION_ID    NUMBER(15),
  COMBINED_FILING_FLAG            VARCHAR2(1 BYTE),
  INCOME_TAX_REGION               VARCHAR2(10 BYTE),
  INCOME_TAX_REGION_FLAG          VARCHAR2(1 BYTE),
  HOLD_UNMATCHED_INVOICES_FLAG    VARCHAR2(1 BYTE),
  ALLOW_DIST_MATCH_FLAG           VARCHAR2(1 BYTE),
  ALLOW_FINAL_MATCH_FLAG          VARCHAR2(1 BYTE),
  ALLOW_FLEX_OVERRIDE_FLAG        VARCHAR2(1 BYTE),
  ALLOW_PAID_INVOICE_ADJUST       VARCHAR2(1 BYTE),
  USSGL_TRANSACTION_CODE          VARCHAR2(30 BYTE),
  USSGL_TRX_CODE_CONTEXT          VARCHAR2(30 BYTE),
  INV_DOC_CATEGORY_OVERRIDE       VARCHAR2(1 BYTE),
  PAY_DOC_CATEGORY_OVERRIDE       VARCHAR2(1 BYTE),
  VENDOR_AUTO_INT_DEFAULT         VARCHAR2(1 BYTE),
  SUMMARY_JOURNALS_DEFAULT        VARCHAR2(1 BYTE),
  RATE_VAR_GAIN_CCID              NUMBER(15),
  RATE_VAR_LOSS_CCID              NUMBER(15),
  TRANSFER_DESC_FLEX_FLAG         VARCHAR2(1 BYTE),
  ALLOW_AWT_FLAG                  VARCHAR2(1 BYTE),
  DEFAULT_AWT_GROUP_ID            NUMBER(15),
  ALLOW_AWT_OVERRIDE              VARCHAR2(1 BYTE),
  CREATE_AWT_DISTS_TYPE           VARCHAR2(25 BYTE),
  CREATE_AWT_INVOICES_TYPE        VARCHAR2(25 BYTE),
  AWT_INCLUDE_DISCOUNT_AMT        VARCHAR2(1 BYTE),
  AWT_INCLUDE_TAX_AMT             VARCHAR2(1 BYTE),
  ORG_ID                          NUMBER(15),
  RECON_ACCOUNTING_FLAG           VARCHAR2(1 BYTE),
  AUTO_CREATE_FREIGHT_FLAG        VARCHAR2(1 BYTE),
  FREIGHT_CODE_COMBINATION_ID     NUMBER(15),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  ALLOW_SUPPLIER_BANK_OVERRIDE    VARCHAR2(1 BYTE),
  USE_MULTIPLE_SUPPLIER_BANKS     VARCHAR2(1 BYTE),
  AUTO_TAX_CALC_OVERRIDE          VARCHAR2(1 BYTE),
  AMOUNT_INCLUDES_TAX_FLAG        VARCHAR2(1 BYTE),
  AMOUNT_INCLUDES_TAX_OVERRIDE    VARCHAR2(1 BYTE),
  VAT_CODE                        VARCHAR2(15 BYTE),
  USE_BANK_CHARGE_FLAG            VARCHAR2(1 BYTE),
  BANK_CHARGE_BEARER              VARCHAR2(1 BYTE),
  ROUNDING_ERROR_CCID             NUMBER(15),
  ROUNDING_ERROR_POST_OPTION      VARCHAR2(25 BYTE),
  TAX_FROM_PO_FLAG                VARCHAR2(1 BYTE),
  TAX_FROM_VENDOR_SITE_FLAG       VARCHAR2(1 BYTE),
  TAX_FROM_VENDOR_FLAG            VARCHAR2(1 BYTE),
  TAX_FROM_ACCOUNT_FLAG           VARCHAR2(1 BYTE),
  TAX_FROM_SYSTEM_FLAG            VARCHAR2(1 BYTE),
  TAX_FROM_INV_HEADER_FLAG        VARCHAR2(1 BYTE),
  TAX_FROM_TEMPLATE_FLAG          VARCHAR2(1 BYTE),
  TAX_HIER_PO_SHIPMENT            NUMBER,
  TAX_HIER_VENDOR                 NUMBER,
  TAX_HIER_VENDOR_SITE            NUMBER,
  TAX_HIER_ACCOUNT                NUMBER,
  TAX_HIER_SYSTEM                 NUMBER,
  TAX_HIER_INVOICE                NUMBER,
  TAX_HIER_TEMPLATE               NUMBER,
  ENFORCE_TAX_FROM_ACCOUNT        VARCHAR2(1 BYTE),
  MRC_BASE_CURRENCY_CODE          VARCHAR2(2000 BYTE),
  MRC_SECONDARY_SET_OF_BOOKS_ID   VARCHAR2(2000 BYTE),
  MATCH_OPTION                    VARCHAR2(25 BYTE),
  GAIN_LOSS_CALC_LEVEL            VARCHAR2(30 BYTE),
  WHEN_TO_ACCOUNT_PMT             VARCHAR2(30 BYTE),
  WHEN_TO_ACCOUNT_GAIN_LOSS       VARCHAR2(30 BYTE),
  FUTURE_DATED_PMT_ACCT_SOURCE    VARCHAR2(30 BYTE),
  FUTURE_DATED_PMT_LIAB_RELIEF    VARCHAR2(30 BYTE),
  GL_TRANSFER_ALLOW_OVERRIDE      VARCHAR2(1 BYTE),
  GL_TRANSFER_PROCESS_DAYS        NUMBER(15),
  GL_TRANSFER_MODE                VARCHAR2(1 BYTE),
  GL_TRANSFER_SUBMIT_JOURNAL_IMP  VARCHAR2(1 BYTE),
  INCLUDE_REPORTING_SOB           VARCHAR2(1 BYTE),
  EXPENSE_REPORT_ID               NUMBER(15),
  PREPAYMENT_TERMS_ID             NUMBER(15),
  CALC_USER_XRATE                 VARCHAR2(1 BYTE),
  SORT_BY_ALTERNATE_FIELD         VARCHAR2(1 BYTE),
  APPROVAL_WORKFLOW_FLAG          VARCHAR2(1 BYTE),
  ALLOW_FORCE_APPROVAL_FLAG       VARCHAR2(1 BYTE),
  VALIDATE_BEFORE_APPROVAL_FLAG   VARCHAR2(1 BYTE),
  XML_PAYMENTS_AUTO_CONFIRM_FLAG  VARCHAR2(1 BYTE),
  PRORATE_INT_INV_ACROSS_DISTS    VARCHAR2(1 BYTE),
  BUILD_PREPAYMENT_ACCOUNTS_FLAG  VARCHAR2(1 BYTE),
  ENABLE_1099_ON_AWT_FLAG         VARCHAR2(1 BYTE),
  STOP_PREPAY_ACROSS_BAL_FLAG     VARCHAR2(1 BYTE),
  AUTOMATIC_OFFSETS_CHANGE_FLAG   VARCHAR2(1 BYTE),
  DUMMY                           CHAR(1),
  LAST_UPDATED_BY_NAME            VARCHAR2(100),
  SOB_SHORT_NAME                  VARCHAR2(100),
  AP_TERM_NAME                    VARCHAR2(100),
  ACCTS_PAY_CCID_D                VARCHAR2(100),
  SALES_TAX_CCID_D                VARCHAR2(100),
  DISC_LOST_CCID_D                VARCHAR2(100),
  DISC_TAKEN_CCID_D               VARCHAR2(100),
  HOLD_GAIN_CCID_D                VARCHAR2(100),
  TRANS_GAIN_CCID_D               VARCHAR2(100),
  LOCATION_NAME                   VARCHAR2(100),
  EMPLOYEE_TERM_NAME              VARCHAR2(100),
  PREPAY_CCID_D                   VARCHAR2(100),
  GAIN_CCID_D                     VARCHAR2(100),
  LOSS_CCID_D                     VARCHAR2(100),
  INTEREST_CCID_D                 VARCHAR2(100),
  INTEREST_ACCTS_PAY_CCID_D       VARCHAR2(100),
  RATE_VAR_CCID_D                 VARCHAR2(100),
  RATE_VAR_GAIN_CCID_D            VARCHAR2(100),
  RATE_VAR_LOSS_CCID_D            VARCHAR2(100),
  ORG_NAME                        VARCHAR2(100),
  FREIGHT_CCID_D                  VARCHAR2(100),
  ROUNDING_ERROR_CCID_D           VARCHAR2(100),
  PREPAYMENT_TERM_NAME            VARCHAR2(100)
);
